#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stddef.h>

#include <time.h>

#include <ysclass.h>


extern "C" int FsOpenFileDialogC(char fn[],const char title[],const char defFn[],const char defExt[]);
extern "C" int FsSaveFileDialogC(char fn[],const char title[],const char defFn[],const char defExt[]);


YSRESULT FsGuiOpenFileDialog(YsString &fn,const char title[],const char defFn[],const char defExt[],class FsGuiCanvas *theApp)
{
	char buf[512];
	if(0!=FsOpenFileDialogC(buf,title,defFn,defExt))
	{
		fn.Set(buf);
		return YSOK;
	}
	fn.Set("");
	return YSERR;
}

YSRESULT FsGuiSaveFileDialog(YsString &fn,const char title[],const char defFn[],const char defExt[],class FsGuiCanvas *theApp)
{
	char buf[512];
	if(0!=FsSaveFileDialogC(buf,title,defFn,defExt))
	{
		fn.Set(buf);
		return YSOK;
	}
	fn.Set("");
	return YSERR;
}
