#include "ysclass.h"
#include "ysshell.h"



void YsShellLatticeElem::Lock(void)
{
}

void YsShellLatticeElem::Unlock(void)
{
}

////////////////////////////////////////////////////////////

void YsShellLattice::InitLock(void)
{
}

void YsShellLattice::DestroyLock(void)
{
}

void YsShellLattice::LockPlgToCellTable(void)
{
}

void YsShellLattice::UnlockPlgToCellTable(void)
{
}

void YsShellLattice::AssignElementLock(void)
{
}

void YsShellLattice::DestroyElementLock(void)
{
}

////////////////////////////////////////////////////////////

YSRESULT YsShellLattice::SetDomain_Polygon(const class YsShell &,YSSIZE_T nPl,const YsShellPolygonHandle plHdList[])
{
	int i;
	YsShellPolygonHandle plHd;
	YsLoopCounter ctr;
	YSRESULT res;

	plHd=NULL;
	res=YSOK;

	ctr.BeginCounter(nPl);
	for(i=0; i<nPl; i++)
	{
		ctr.Increment();
		if(YSOK==res)
		{
			if(AddPolygon(plHdList[i])!=YSOK)
			{
				YsErrOut("YsShellLattice::SetDomain()\n");
				YsErrOut("  Cannot add polygon\n");
				res=YSERR;
			}
		}
	}
	ctr.EndCounter();

	return res;
}
